/** ===== Inicia el estilo del cuerpo ==== */
body {
    margin: 0%;
    padding: 0%;
    background-color: white;
    /* color de fondo */
}

/* ---- Termina estilo del cuerpo ---- */


/** ===== Inicia el estilo de encabezado ==== */

#encabezado {
    /* ---- Configuración de fondo ---- */
    background-image: url(imagenes/xv1.jpg);
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;

    /* ---- Configuración del tamaño del contenedor ---- */
    margin: 0;
    padding: 0;
    width: 100%;
    height: 1000px;


    /* ---- Centrado de texto ---- */
    text-align: center;
    display: flex;
    justify-content: center;
    align-items: center;

    /* ---- Posicionamiento para el overlay ---- */
    position: relative;
    /* Necesario para que el overlay se posicione dentro del encabezado */
}

/* ---- Termina estilo de encabezado ---- */


/* ===== Inicia el Overlay (Capa oscura con degradado sobre la imagen) ==== */
.mascara {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    /* ---- Degradado de transparente (arriba) a negro (abajo) ---- */
    background: linear-gradient(rgba(0, 0, 0, 0.171) 5%,
            /* Transparente en la parte superior */
            rgba(0, 0, 0, 0.5) 70%,
            /* Medio tono en el centro */
            rgb(0, 0, 0, 30) 100%
            /* Más oscuro en la parte inferior */
        );
    z-index: 1;
    /* Queda encima de la imagen, pero debajo del texto */
}

/* ---- Termina Overlay ---- */

/** ===== Ajustes generales de texto ==== */
#encabezado p,
#encabezado h1 {
    margin: 0;
    padding: 0;
}

/* ---- Termina el estilo de encabezado ---- */


/** ==== Inicia Agrupado de estilos ==== */
#frase,
#cuentaregresiva,
#invitacion {
    /* Configuracion de de tamaño de contenedor */
    width: 100%;
    height: 300px;
    /* Centrado de texto */
    text-align: center;
    align-content: center;
}

/* ---- Termina Agrupado de estilos ---- */


/** ===== Inicia el estilo de frase ==== */
#frase {
    transform: scale(1);
    display: inline-block;
}

/* ---- Termina el estilo de frase ---- */


/** ===== Inicia el estilo de cuenta regresiva ==== */

.contenedor-cuentaregresiva {
    /* Configuracion de display */
    display: flex;
    justify-content: center;
    position: relative;
    gap: 70px;
    transform: scale(1);
}

/* ---- Termina el estilo de cuenta regresiva ---- */


/** ===== Inicia el estilo de inivtación ==== */
#invitacion {
    /* Configuracion de texto */
    text-align: center;
}

#invitacion p {
    /* Configuracion de display */
    display: block;
    /* Configuracion de margen */
    margin: 30px;
}

/* ---- Termina el estilo de inivtación ---- */

/** ===== Inicia el estilo de flores decorativas ==== */
.flores {
    position: relative;
    overflow: visible;
}

.flores::before,
.flores::after {
    filter: grayscale(100%);
    opacity: 5%;
    content: "";
    position: fixed;
    top: 0;
    width: 350px;
    height: 850px;
    background-repeat: no-repeat;
    background-size: cover;
    z-index: -10;
}

/* Flor izquierda */
.flores::before {
    left: 0;
    background-image: url("imagenes/florizq.webp");
}

/* Flor derecha */
.flores::after {
    right: 0;
    background-image: url("imagenes/florder.webp");
}

/* ---- Termina el estilo de flores decorativas ---- */


/** ===== Inicia el estilo de Ubicaciones ==== */
#ubicaciones {
    /* Configuracion de de tamaño de contenedor */
    width: 100%;
    height: 500px;
    /* Configuracion de display de elementos hijo */
    text-align: center;
    /* Configuracion de color de fondo */
    background-color: rgb(249, 249, 249);

}

.contenedor-padre-ubicaciones {
    /* Configuracion de display */
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    /* Configuracion de de tamaño de contenedor */
    height: calc(100% - 50px);
    /* Resta el espacio del título */
}

/* ---- Termina el estilo de flores decorativas ---- */


/** ===== Inicia estilo de contenedor (imagen de quinceañera media, mesa de regalos y lluvia de sobres ==== */
#contenedor-mesaderegalos-imagen {
    /* Configuracion desplay de contenedor */
    background-color: white;
    /* Uso de aplicacion de color para que no se vean las decoraciones de orilla */
    display: flex;
    width: 100%;
    height: 600px;
    /* ---- Termina estilo de contenedor (imagen de quinceañera media, mesa de regalos y lluvia de sobres ---- */
}

/* ===== Inician Estilos de imagen de quinceañera media (hijo)==== */
#imagenquinceañera-media {
    /* Configuracion de fondo */
    background-image: url(imagenes/xv2.jpg);
    background-size: cover;
    background-repeat: no-repeat;
    background-position: 50% 20%;
    /* primer valor es posición horizontal (50%) y segundo vertical (20%) desde la parte superior).*/
    /* Configuracion de de tamaño de contenedor */
    height: 600px;
    width: 50%;
}

/* Modificacion de tamaño y color de los iconos del area de mesa de regalos*/
.imagen-mesa-de-regalos {
    height: 70px;
    margin: 10px;
    filter: brightness(10%);
}

/* ---- Termina Estilos de imagen de quinceañera media (hijo)---- */

/* ===== Inician Estilos de contenedor Mesa de regalos (hijo / padre)==== */
#mesaderegalos {
    /* Configuracion de texto */
    text-align: center;
    /* Ocupar la mitad del espacio como el otro div */
    width: 50%;
    height: 600px;
    /* Flex para centrar vertical y horizontalmente */
    display: flex;
    justify-content: center;
    /* Eje X */
    align-items: center;
    /* Eje Y */
}

/* ---- Termina Estilos de contenedor Mesa de regalos (hijo / padre)---- */

/* ===== Inician Estilos de contenedor con boton Mesa de regalos (hijo)==== */
.contenedorbuttonmesaderegalos {
    /* Configuracion desplay de contenedor */
    display: flex;
    /* Configuracion alineacion y justificacion de contenido */
    justify-content: space-between;
    align-items: center;
    margin: 40px;
}

.contenedor-img-mesaderegalos {
    /* Configuracion desplay de contenedor */
    display: flex;
    flex-direction: column;
}

/* ---- Termina Estilos de contenedor con boton Mesa de regalos (hijo)---- */


/** ===== Inician Estilos de Codigo de Vestimenta ==== */
#codigodevestimenta {
    /* Configuracion de de tamaño de contenedor */
    width: 100%;
    height: auto;
    padding: 30px 0;
    /* Configuracion de texto */
    text-align: center;
    /* Flex para centrar vertical y horizontalmente */
    display: flex;
    flex-direction: column;
    justify-content: center;
    /* Eje X */
    align-items: center;
    /* Eje Y */
    /* Configuracion de color de fondo */
    background-color: rgb(249, 249, 249);
}

#codigodevestimenta p {
    position: relative;
    bottom: 20px;
    /* Se usa este fragmento de codigo para poder mover
    el texto "riguroso formal" mas arriba pegado a
    "codigo de vestimenta" */
}

#codigodevestimenta br {
    display: none;

}

/* ---- Termina Estilos de Codigo de Vestimenta---- */


/** ===== Inicia estilo de contenedor padre (imagen de quinceañera media, mesa de regalos y lluvia de sobres ==== */
#contenedorcontacto {
    background-color: white;
    /* Uso de aplicacion de color para que no se vean las decoraciones de orilla */
    /* Configuracion desplay de contenedor */
    display: flex;
    justify-content: space-evenly;
    width: 100%;
    height: 500px;
    /* ---- Termina estilo de contenedor (imagen de quinceañera media, mesa de regalos y lluvia de sobres ---- */
}

#contacto {
    /* Configuracion de texto */
    text-align: center;
    /* Configuracion de de tamaño de contenedor */
    height: 500px;
    width: 50%;
    /* Flex para centrar vertical y horizontalmente */
    display: flex;
    flex-direction: column;
    justify-content: center;
    /* Eje X */
    align-items: center;
    /* Eje Y */
}

/* ===== Inician Estilos de imagen de quinceañera ultima (hijo)==== */
.ultimafoto {
    /* Configuracion de de tamaño de contenedor */
    height: 500px;
    width: 50%;
    /* Configuracion de fondo de imagen */
    background-image: url(imagenes/xv3.jpg);
    background-size: cover;
    background-repeat: no-repeat;
    background-position: 0% 20%;
}

.qr {
    height: 170px;
    margin: 30px;
}

/* ---- Termina estilo de contenedor padre (imagen de quinceañera media, mesa de regalos y lluvia de sobres---- */


/** ===== Inicia estilo No niños==== */
#noniños {
    /* Configuracion de centrado de te texto */
    text-align: center;
    /* Configuracion de de tamaño de contenedor */
    height: 120px;
    width: 100%;
    /* Flex para centrar vertical y horizontalmente */
    display: flex;
    justify-content: center;
    /* Eje X */
    align-items: center;
    /* Eje Y */
    background-color: rgb(249, 249, 249);
    bottom: 0;
}

/* ---- Termina estilo de No niños---- */

/** Inicia estilo de boton para reinicio de pagina */
.botonarriba {
    width: 60px;
    height: 60px;
    position: fixed;
    bottom: 20px;
    right: 40px;
    padding: 10px 15px;
    background: #00000019;
    color: #8a8a8a;
    border: none;
    border-radius: 50px;
    font-size: 15px;
    cursor: pointer;
    display: none;
    /* Oculto por defecto */
    transition: opacity 0.2s ease;
    text-align: center;
}

.botonarriba.mostrar {
    display: block;
    opacity: 0.5;
}

/* ---- Termina estilo de boton para reinicio de pagina---- */


/** ===== Inicia estilo de Pie de pagína ==== */
#piedepagina {
    display: grid;
    align-items: center;
    background-color: white;
    /* Configuracion de centrado de te texto */
    text-align: center;
    width: 100%;
}

small {
    font-size: 12px;
}

/* ---- Termina estilo de pie de pagína---- */